@ECHO OFF
ECHO 
ECHO *****************************************************
ECHO * OS/2 3.0 Display Driver Installation for CT6554X  *
ECHO * PRELIMINARY ALPHA VERSION 3.2.0a Evaluation Only  *
ECHO *****************************************************
ECHO * Supports Chips And Technologies 65545/65548       * 
ECHO *            FLAT PANEL VGA/SVGA Controller         *
ECHO *****************************************************
IF .%3. == .. GOTO USAGE
IF .%3. == .1. GOTO ACTION1
IF .%3. == .2. GOTO ACTION2
ECHO INVALID Model
GOTO USAGE

:ACTION1
ECHO Model 1 chosen
IF EXIST C:\OS2\SVGADATA.PMI COPY C:\OS2\SVGADATA.PMI C:\OS2\SVGADATA.OLD>NUL
IF NOT EXIST A:\model1.pmi GOTO ERRMESSAGE
COPY A:\model1.pmi C:\OS2\SVGADATA.PMI > NUL
GOTO MESSAGE

:ACTION2
ECHO Model 2 chosen
IF EXIST C:\OS2\SVGADATA.PMI COPY C:\OS2\SVGADATA.PMI C:\OS2\SVGADATA.OLD>NUL
IF EXIST C:\OS2\SVGADATA.PMI DEL C:\OS2\SVGADATA.PMI>NUL
GOTO CONTINUE

:ERRMESSAGE
ECHO ****************************************************************
ECHO * Installation of customised PMI file could not be completed,  *
ECHO * file not found. Please insert the floppy, and run install.   * 
ECHO *                                                              *
ECHO *                                                              *
ECHO ****************************************************************
GOTO END
:MESSAGE
ECHO ******************************************************
ECHO * Installation of customised PMI file is complete.   *
ECHO * The install will continue...                       *
ECHO *                                                    *
ECHO ******************************************************

PAUSE Press and key to continue...


:CONTINUE
IF NOT EXIST %1\*.DSC GOTO USAGE
IF NOT EXIST %2\OS2\INSTALL GOTO USAGE
IF NOT EXIST %2\OS2\DLL\VIDEOPMI.DLL GOTO VGAFIRST
IF EXIST %2\OS2\INSTALL\CHIPS548.DSC DEL %2\OS2\INSTALL\CHIPS548.DSC >NUL
COPY %1\*.DSC %2\OS2\INSTALL\*.DSC >NUL
IF EXIST %2\OS2\SVGA.ESV GOTO COPYOK1
IF EXIST %2\OS2\SVGA.EXE COPY %2\OS2\SVGA.EXE %2\OS2\*.ESV >NUL
:COPYOK1
COPY %1\SVGA.EXE %2\OS2 >NUL
IF EXIST %2\OS2\SCREEN01.SSV GOTO COPYOK2
IF EXIST %2\OS2\SCREEN01.SYS COPY %2\OS2\SCREEN01.SYS %2\OS2\*.SSV >NUL
:COPYOK2
ATTRIB %2\OS2\SCREEN01.SYS -R
COPY %1\SCREEN01.SYS %2\OS2 >NUL
IF EXIST %2\OS2\DLL\SVGA.DSV GOTO COPYOK3
IF EXIST %2\OS2\DLL\SVGA.DLL COPY %2\OS2\DLL\SVGA.DLL %2\OS2\DLL\*.DSV >NUL
:COPYOK3
COPY %1\SVGA.DLL %2\OS2\DLL\SVGA.DLL >NUL
COPY %1\VSVGA.SYS %2\OS2\MDOS >NUL
COPY %1\CHIPS.SYS %2\OS2 >NUL
ECHO *********************************************************
ECHO * Installation of system files is complete.             *
ECHO *    SHUTDOWN and then restart your system.             *
ECHO *    Run Selective Install to install new video driver. *
ECHO *********************************************************
GOTO END
:VGAFIRST
ECHO 
ECHO Error: This driver requires OS/2 3.0 (WARP) or later for PCI Support.
GOTO END
:USAGE
ECHO 
ECHO Usage: INSTALL [INSTALLDRIVE:] [BOOTDRIVE:] [MODEL]
ECHO            MODELS
ECHO            1       800x600 DSTN
ECHO            2       OTHER
:END
